Skip to content

Create Channel

Request

Create a new channel.

Security
apikeyAuth(Required scopes: readwrite)
Bodyapplication/json
channelobjectrequired
Example:
{ "_id": "{{channelId}}", "type": "webhook", "webhookURL": "https://example.com/cgi-bin/urlscan", "name": "Test webhook", "description": "Webhook testing channel.", "isActive": true, "ignoreTime": false }
POST
/api/v1/user/channels/
curl -i -X POST \
  https://urlscan.io/api/v1/user/channels/ \
  -H 'Content-Type: application/json' \
  -H 'api-key: YOUR_API_KEY_HERE' \
  -d '{
    "channel": {
      "_id": "{{channelId}}",
      "type": "webhook",
      "webhookURL": "https://example.com/cgi-bin/urlscan",
      "name": "Test webhook",
      "description": "Webhook testing channel.",
      "isActive": true,
      "ignoreTime": false
    }
  }'

Responses

Successful response

Bodyapplication/json
channelobject(channelResponse)
Example:
{ "_id": "{{channelId}}", "type": "webhook", "webhookURL": "https://example.com/cgi-bin/urlscan", "name": "Test webhook", "description": "Webhook testing channel.", "isActive": true, "ignoreTime": false }
Response
{ "channel": { "_id": "{{channelId}}", "type": "webhook", "webhookURL": "https://example.com/cgi-bin/urlscan", "name": "Test webhook", "description": "Webhook testing channel.", "isActive": true, "ignoreTime": false } }